<?php
namespace plugins\polls\models;

/**
 * Vote option model class
 * @author Jérôme Brilland
 * @version 1.0
 * @copyright (c) 2022, Jérôme Brilland
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License
 */
class VoteOption extends \ActiveRecord {
    
    protected static $tableName = 'vote_option';
    
    protected static $primaryKey = 'vote_option_id';
    
    protected function validate() {
        $i18n = \IoC::resolve( 'i18n' );
        $this->validateMaxLength( 'title', 100, $i18n->__( 'too_long_title', 100 ) );
        // $this->validateNotEmpty( 'title', $i18n->__( 'title_cannot_be_empty' ) );
        $this->validateNumber( 'votes', $i18n->__( 'invalid_number' ) );
    }

    protected function beforeInsert() {
        if ( !isset( $this->votes ) ) {
            $this->votes = 0;
        }
    }
    
    protected function beforeSave() {
        $this->title = trim( strip_tags( $this->title ) );
    }
    
}
