<?php
namespace plugins\polls\services;

use plugins\polls\models\VoteTrack;
use plugins\polls\models\VoteOption;
/**
 * @author Jérôme Brilland
 * @version 1.0
 * @copyright (c) 2022, Jérôme Brilland
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License
 */
class Clear {
    
    private $pollId;
    
    public function __construct( int $pollId ) {
        $this->pollId = $pollId;
    }
    
    public function perform() {
        foreach ( VoteOption::findMany( '*', ['poll_id' => $this->pollId] ) as $voteOption ) {
            $voteOption->votes = 0;
            $voteOption->save();
        }
        foreach ( VoteTrack::findMany( '*', ['poll_id' => $this->pollId] ) as $voteTrack ) {
            $voteTrack->delete();
        }
    }
}
