<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

use models\Template;
use models\Permission;

$schema = \IoC::resolve( 'sqlschema' );

$schema->dropTable( 'vote_track' );
$schema->dropTable( 'vote_option' );
$schema->dropTable( 'poll' );

$permission = Permission::findOne( ['name' => 'polls.view_polls'] );
$permission->delete();
$permission = Permission::findOne( ['name' => 'polls.create_poll'] );
$permission->delete();
$permission = Permission::findOne( ['name' => 'polls.update_poll'] );
$permission->delete();
$permission = Permission::findOne( ['name' => 'polls.delete_poll'] );
$permission->delete();

$configurationHandler = \IoC::resolve( 'databaseConfigurationHandler' );
$settings = new \Configuration( $configurationHandler );

$template = Template::findOne( $settings['polls.poll_template'] );
if ( isset( $template ) ) {
    $template->delete();
}

unset( $settings['polls.poll_template'] );

$configurationHandler->save();

$logger = \IoC::resolve( 'logger' );
$logger->info( 'Plugin polls successfully uninstalled.' );

return true;
